Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.ui.metadatatab.imports.wizard
Class AbstractImportEntry

    java.lang.Object
      edu.stanford.smi.protegex.owl.ui.metadatatab.imports.wizard.AbstractImportEntry

All Implemented Interfaces:
  ImportEntry

Direct Known Subclasses:
  FileImportEntry, RepositoryImportEntry, URLImportEntry

    public abstract class AbstractImportEntry

extends Object
implements ImportEntry

User: matthewhorridge
The University Of Manchester
Medical Informatics Group
Date: Dec 7, 2005

matthew.horridge@cs.man.ac.uk
www.cs.man.ac.uk/~horridgm

Constructor Summary
`AbstractImportEntry()`

Method Summary
`protected void` | `addError(Object error)`
`protected void` | `clearErrors()`
`Collection` | `getErrors()`
`URI` | `getOntologyURI()`
`Repository` | `getRepository()`
`protected void` | `setOntologyURI(URI ontologyURI)`
`protected void` | `setRepository(Repository repository)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface edu.stanford.smi.protegex.owl.ui.metadatatab.imports.wizard.ImportEntry
`getRepositoryToAdd, isPossibleToImport`

Constructor Detail

### AbstractImportEntry

    public AbstractImportEntry()

Method Detail

### clearErrors

    protected void clearErrors()

### addError

    protected void addError(Object error)

### getErrors

    public Collection getErrors()

  Specified by:
    `getErrors` in interface `ImportEntry`

### getOntologyURI

    public URI getOntologyURI()

  Specified by:
    `getOntologyURI` in interface `ImportEntry`

### setOntologyURI

    protected void setOntologyURI(URI ontologyURI)

### getRepository

    public Repository getRepository()

  Specified by:
    `getRepository` in interface `ImportEntry`

### setRepository

    protected void setRepository(Repository repository)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.